Bug 1029914 - TEIID-2633 change can have a negative impact in certain situations
TEIID-2633 change can have a negative impact in certain situations
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0
Assigned To: Van Halbert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 09:13 EST by Van Halbert
Modified: 2014-07-09 01:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to previous changes made to optimize the CanRaiseOverJoin method as captured by Bug 999993, there is a potential decrease in performance if discovered transitive criteria is removed that could help filter more rows from a multi-column dependent join. This will be fixed by checking if there is any related optional join condition when marking an access node as dependent.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 15:54:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2733 Major Closed TEIID-2633 goes too far 2014-04-21 07:25:22 EDT

  None (edit)
Comment 2 belong 2013-12-09 19:52:16 EST
Assuming this will be set to VERIFIED before GA - setting requires_doc_text- accordingly.
Comment 3 wgibson 2014-02-11 08:34:53 EST
Unit test:  TestDependentJoins.java
Comment 4 JBoss JIRA Server 2014-04-21 07:25:27 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2733 to Closed

Note You need to log in before you can comment on or make changes to this bug.